body {
  background-color: black;
}

main {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.scene {
  overflow: hidden;
  position: relative;
  width: 800px;
  height: 600px;
  background-image: url(./images/Scene.png);
  background-size: cover;
  background-position: center;
}

.ground {
  position: absolute;
  top: 155px;
  left: 0px;
  z-index: 3;
}

.snowflakes {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 3;
  pointer-events: none;
}

.snowflakes img {
  position: absolute;
  animation: fall 50s linear infinite;
}

@keyframes fall {
  0% {
    transform: translate(0, 0);
    opacity: 1;
  }

  10% {
    opacity: 0.8;
  }

  30% {
    transform: translate(-70px, 30vh);
  }

  60% {
    transform: translate(-5px, 70vh);
    opacity: 1;
  }

  75% {
    transform: translate(0, 75vh);
    opacity: 0;
  }
}

.snowflakes img:nth-child(1) {
  top: 30%;
  left: 9%;
}

.snowflakes img:nth-child(2) {
  top: 55%;
  left: 5%;
}

.snowflakes img:nth-child(3) {
  top: 89%;
  left: 3%;
}

.snowflakes img:nth-child(4) {
  top: 18%;
  left: 23%;
}

.snowflakes img:nth-child(5) {
  top: 69%;
  left: 21%;
}

.snowflakes img:nth-child(6) {
  top: -5%;
  left: 22%;
}

.snowflakes img:nth-child(7) {
  top: 18%;
  left: 45%;
}

.snowflakes img:nth-child(8) {
  top: 40%;
  left: 42%;
}

.snowflakes img:nth-child(9) {
  top: 89%;
  left: 37%;
}

.snowflakes img:nth-child(10) {
  top: -7%;
  left: 63%;
}

.snowflakes img:nth-child(11) {
  top: 30%;
  left: 60%;
}

.snowflakes img:nth-child(12) {
  top: 55%;
  left: 54%;
}

.snowflakes img:nth-child(13) {
  top: 12%;
  left: 76%;
}

.snowflakes img:nth-child(14) {
  top: 40%;
  left: 72%;
}

.snowflakes img:nth-child(15) {
  top: 89%;
  left: 70%;
}

.snowflakes img:nth-child(16) {
  top: -1%;
  left: 93%;
}

.snowflakes img:nth-child(17) {
  top: 30%;
  left: 90%;
}

.snowflakes img:nth-child(18) {
  top: 89%;
  left: 86%;
}

.windmill {
  position: absolute;
  bottom: 50px;
  left: 300px;
  width: 162px;
  height: 300px;
  z-index: 2;
}

.windmill .body {
  position: absolute;
  top: -26px;
  left: 292px;
  z-index: 3;
}

.windmill .blade {
  position: absolute;
  top: -49px;
  left: 249px;
  animation: spin 11s linear infinite;
  z-index: 2;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(-360deg);
  }
}

.clouds {
  position: absolute;
  width: 100%;
  height: 100%;
  z-index: 0;
  overflow: hidden;
}

.clouds-wrapper {
  display: flex;
  width: 200%;
  animation: moveClouds 20s linear infinite;
}

.clouds img {
  width: 200px;
  height: 70px;
  position: absolute;
}

@keyframes moveClouds {
  0% {
    transform: translateX(0);
    opacity: 0.8;
  }
  100% {
    transform: translateX(-50%);
    opacity: 0.5;
  }
}

.clouds img:nth-child(1) {
  top: 75px;
  left: 36%;
}

.clouds img:nth-child(2) {
  top: 165px;
  left: -4%;
}

.clouds img:nth-child(3) {
  top: 123px;
  left: 16%;
}

.clouds img:nth-child(4) {
  top: 205px;
  left: 66%;
}

.clouds img:nth-child(5) {
  top: 169px;
  left: 75%;
}

.clouds img:nth-child(6) {
  top: 75px;
  left: -36%;
}

.clouds img:nth-child(7) {
  top: 165px;
  left: 4%;
}

.clouds img:nth-child(8) {
  top: 123px;
  left: -16%;
}

.clouds img:nth-child(9) {
  top: 205px;
  left: -66%;
}

.clouds img:nth-child(10) {
  top: 169px;
  left: -75%;
}
